XFcPrimitiveDrawEdge class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPrimitiveDrawEdge Class Reference

Class for defining and handling shape edges in XFcPrimitiveDraw. More...

Inheritance diagram for XFcPrimitiveDrawEdge:

[legend]
Collaboration diagram for XFcPrimitiveDrawEdge:

[legend]
List of all members.

## Public Member Functions

virtual void | advanceScanline ()=0
| Advances the current scanline with one step.
void | updateSpan (INT32 aXp)
| Updates the span information of an edge.
XFcPrimitiveDrawEdge * | nextEdge ()
| Returns the next edge after this.
XFcPrimitiveDrawEdge * | prevEdge ()
| Returns the previous edge before this.
void | removeEdge (XFcPrimitiveDrawEdge **mListBegin, XFcPrimitiveDrawEdge **mListEnd)
| Removes this edge from the list.
void | insertAfterEdge (XFcPrimitiveDrawEdge **mListEnd, XFcPrimitiveDrawEdge *newNode)
| Inserts a new edge after this.
void | insertBeforeEdge (XFcPrimitiveDrawEdge **mListBegin, XFcPrimitiveDrawEdge *newNode)
| Inserts a new edge before this.
void | addHeadEdge (XFcPrimitiveDrawEdge **mListBegin, XFcPrimitiveDrawEdge **mListEnd)
| Adds this edge to the beginning of the list.
void | addTailEdge (XFcPrimitiveDrawEdge **mListBegin, XFcPrimitiveDrawEdge **mListEnd)
| Adds this edge to the end of the list.
XFcPrimitiveDrawEdge * | nextSpan ()
| Returns the next Span after this.
XFcPrimitiveDrawEdge * | prevSpan ()
| Returns the previous Span before this.
void | removeSpan (XFcPrimitiveDrawEdge **mListBegin, XFcPrimitiveDrawEdge **mListEnd)
| Removes this Span from the list.
void | insertAfterSpan (XFcPrimitiveDrawEdge **mListEnd, XFcPrimitiveDrawEdge *newNode)
| Inserts a new Span after this.
void | insertBeforeSpan (XFcPrimitiveDrawEdge **mListBegin, XFcPrimitiveDrawEdge *newNode)
| Inserts a new Span before this.
void | addHeadSpan (XFcPrimitiveDrawEdge **mListBegin, XFcPrimitiveDrawEdge **mListEnd)
| Adds this Span to the beginning of the list.
void | addTailSpan (XFcPrimitiveDrawEdge **mListBegin, XFcPrimitiveDrawEdge **mListEnd)
| Adds this Span to the end of the list.

## Public Attributes

REAL | mXp
| Current X position.
INT32 | mXpi
| Current X position as integer.
INT32 | mYStart
| Starting Y of the line.
INT32 | mYEnd
| Ending Y of the line.
XFcPrimitiveDrawEdge * | mNextEdge
| Pointer to the next edge.
XFcPrimitiveDrawEdge * | mPrevEdge
| Pointer to the previous edge.
INT32 | mSpanStart
| Beginning of the span drawn with current edge.
INT32 | mSpanEnd
| End of the span drawn with the current edge.
XFcPrimitiveDrawEdge * | mNextSpan
| Pointer to the next span.
XFcPrimitiveDrawEdge * | mPrevSpan
| Pointer to the previous span.
UINT8 | mSpanAlpha
| Alpha for the area between this and next span.
INT32 | mEdgeType
| Used in non-xor drawing for detecting edge states.

## Detailed Description

Class for defining and handling shape edges in XFcPrimitiveDraw.

## Member Function Documentation

void XFcPrimitiveDrawEdge::addHeadEdge | ( | XFcPrimitiveDrawEdge ** | mListBegin,
|  | XFcPrimitiveDrawEdge ** | mListEnd
| ) | `[inline]`

| Adds this edge to the beginning of the list.

void XFcPrimitiveDrawEdge::addHeadSpan | ( | XFcPrimitiveDrawEdge ** | mListBegin,
|  | XFcPrimitiveDrawEdge ** | mListEnd
| ) | `[inline]`

| Adds this Span to the beginning of the list.

void XFcPrimitiveDrawEdge::addTailEdge | ( | XFcPrimitiveDrawEdge ** | mListBegin,
|  | XFcPrimitiveDrawEdge ** | mListEnd
| ) | `[inline]`

| Adds this edge to the end of the list.

void XFcPrimitiveDrawEdge::addTailSpan | ( | XFcPrimitiveDrawEdge ** | mListBegin,
|  | XFcPrimitiveDrawEdge ** | mListEnd
| ) | `[inline]`

| Adds this Span to the end of the list.

virtual void XFcPrimitiveDrawEdge::advanceScanline | ( |  | ) | `[pure virtual]`

| Advances the current scanline with one step. Implemented in XFcPrimitiveDrawLineEdge, and XFcPrimitiveDrawIndexedEdge.

void XFcPrimitiveDrawEdge::insertAfterEdge | ( | XFcPrimitiveDrawEdge ** | mListEnd,
|  | XFcPrimitiveDrawEdge * | newNode
| ) | `[inline]`

| Inserts a new edge after this.

void XFcPrimitiveDrawEdge::insertAfterSpan | ( | XFcPrimitiveDrawEdge ** | mListEnd,
|  | XFcPrimitiveDrawEdge * | newNode
| ) | `[inline]`

| Inserts a new Span after this.

void XFcPrimitiveDrawEdge::insertBeforeEdge | ( | XFcPrimitiveDrawEdge ** | mListBegin,
|  | XFcPrimitiveDrawEdge * | newNode
| ) | `[inline]`

| Inserts a new edge before this.

void XFcPrimitiveDrawEdge::insertBeforeSpan | ( | XFcPrimitiveDrawEdge ** | mListBegin,
|  | XFcPrimitiveDrawEdge * | newNode
| ) | `[inline]`

| Inserts a new Span before this.

XFcPrimitiveDrawEdge* XFcPrimitiveDrawEdge::nextEdge | ( |  | ) | `[inline]`

| Returns the next edge after this.

XFcPrimitiveDrawEdge* XFcPrimitiveDrawEdge::nextSpan | ( |  | ) | `[inline]`

| Returns the next Span after this.

XFcPrimitiveDrawEdge* XFcPrimitiveDrawEdge::prevEdge | ( |  | ) | `[inline]`

| Returns the previous edge before this.

XFcPrimitiveDrawEdge* XFcPrimitiveDrawEdge::prevSpan | ( |  | ) | `[inline]`

| Returns the previous Span before this.

void XFcPrimitiveDrawEdge::removeEdge | ( | XFcPrimitiveDrawEdge ** | mListBegin,
|  | XFcPrimitiveDrawEdge ** | mListEnd
| ) | `[inline]`

| Removes this edge from the list.

void XFcPrimitiveDrawEdge::removeSpan | ( | XFcPrimitiveDrawEdge ** | mListBegin,
|  | XFcPrimitiveDrawEdge ** | mListEnd
| ) | `[inline]`

| Removes this Span from the list.

void XFcPrimitiveDrawEdge::updateSpan | ( | INT32 | aXp | ) | `[inline]`

| Updates the span information of an edge.

## Member Data Documentation

INT32 XFcPrimitiveDrawEdge::mEdgeType

| Used in non-xor drawing for detecting edge states.

XFcPrimitiveDrawEdge* XFcPrimitiveDrawEdge::mNextEdge

| Pointer to the next edge.

XFcPrimitiveDrawEdge* XFcPrimitiveDrawEdge::mNextSpan

| Pointer to the next span.

XFcPrimitiveDrawEdge* XFcPrimitiveDrawEdge::mPrevEdge

| Pointer to the previous edge.

XFcPrimitiveDrawEdge* XFcPrimitiveDrawEdge::mPrevSpan

| Pointer to the previous span.

UINT8 XFcPrimitiveDrawEdge::mSpanAlpha

| Alpha for the area between this and next span.

INT32 XFcPrimitiveDrawEdge::mSpanEnd

| End of the span drawn with the current edge.

INT32 XFcPrimitiveDrawEdge::mSpanStart

| Beginning of the span drawn with current edge.

REAL XFcPrimitiveDrawEdge::mXp

| Current X position.

INT32 XFcPrimitiveDrawEdge::mXpi

| Current X position as integer.

INT32 XFcPrimitiveDrawEdge::mYEnd

| Ending Y of the line.

INT32 XFcPrimitiveDrawEdge::mYStart

| Starting Y of the line.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch